Package com.ads.mm.db.util

# Enum Class DBHelper.ScanCriteria

java.lang.Object
java.lang.Enum<DBHelper.ScanCriteria>
com.ads.mm.db.util.DBHelper.ScanCriteria

All Implemented Interfaces:
  `Serializable`, `Comparable<DBHelper.ScanCriteria>`, `Constable`

Enclosing class:
  DBHelper

public static enum DBHelper.ScanCriteria extends Enum<DBHelper.ScanCriteria>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  The ALL type defines to scan all the objects(viz Tables/View/Synonyms) from the given database.
  `EXCLUDE_SELECTION`
  The EXCLUDE_SELECTION type defines to scan the objects (viz Tables/View/Synonyms) from the given database by excluding the objects specified in the selectedTables/selectedViews/selectedSynonyms property from the given database.
  `INCLUDE_SELECTION`
  The INCLUDE_SELECTION type defines to scan the only specified objects (viz Tables/View/Synonyms) in the selectedTables/selectedViews/selectedSynonyms property from the given database.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DBHelper.ScanCriteria`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DBHelper.ScanCriteria[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INCLUDE_SELECTION

    public static final DBHelper.ScanCriteria INCLUDE_SELECTION
    The INCLUDE_SELECTION type defines to scan the only specified objects (viz Tables/View/Synonyms) in the selectedTables/selectedViews/selectedSynonyms property from the given database.

  - ### EXCLUDE_SELECTION

    public static final DBHelper.ScanCriteria EXCLUDE_SELECTION
    The EXCLUDE_SELECTION type defines to scan the objects (viz Tables/View/Synonyms) from the given database by excluding the objects specified in the selectedTables/selectedViews/selectedSynonyms property from the given database.

  - ### ALL

    public static final DBHelper.ScanCriteria ALL
    The ALL type defines to scan all the objects(viz Tables/View/Synonyms) from the given database.

- ## Method Details

  - ### values

    public static DBHelper.ScanCriteria[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DBHelper.ScanCriteria valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null